> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve custom groups for a channel

> Retrieve the list of custom product groups defined for a given channel.



## OpenAPI

````yaml /api-reference/openapi.json get /customGroups
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /customGroups:
    get:
      tags:
        - custom-group
      summary: Retrieve custom groups for a channel
      description: Retrieve the list of custom product groups defined for a given channel.
      operationId: getCustomGroups
      parameters:
        - name: channelId
          in: query
          description: Channel ID
          required: true
          schema:
            type: string
        - name: merchantId
          in: query
          description: Merchant ID
          required: true
          schema:
            type: string
        - name: pageSize
          in: query
          description: Number of groups per page
          required: false
          schema:
            type: integer
        - name: pageIndex
          in: query
          description: Zero-based page index
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomGroupsResponse'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    GetCustomGroupsResponse:
      type: object
      description: Response containing the list of custom product groups for a channel
      properties:
        groups:
          type: array
          items:
            type: object
            properties:
              groupId:
                type: integer
              groupName:
                type: string
        total:
          type: integer
          description: >-
            Total number of groups for the channel. Only present when limit or
            offset is provided.
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````